Last Comment Bug 749890 - Intermittent test_spdy.js | test failed (with xpcshell return code: 0), | false == true - See following stack:
: Intermittent test_spdy.js | test failed (with xpcshell return code: 0), | fal...
Status: RESOLVED FIXED
[spdy]
: intermittent-failure
Product: Core
Classification: Components
Component: Networking (show other bugs)
: 10 Branch
: x86_64 Linux
: -- normal (vote)
: mozilla15
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
Mentors:
Depends on: 840625
Blocks: 438871 719609 738992
  Show dependency treegraph
 
Reported: 2012-04-27 21:18 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2013-02-20 17:07 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
test instrumentation (5.62 KB, patch)
2012-05-01 14:38 PDT, Nicholas Hurley [:nwgh][:hurley]
no flags Details | Diff | Splinter Review
script to run test until failure occurs (630 bytes, application/x-sh)
2012-05-01 14:44 PDT, Nicholas Hurley [:nwgh][:hurley]
no flags Details
Do not do TLS intolerance handshake timeout after we know we've received the server hello. (7.00 KB, patch)
2012-05-11 10:43 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
no flags Details | Diff | Splinter Review
Do not do TLS intolerance handshake timeout after we know we've received the server hello [v2] (9.57 KB, patch)
2012-05-24 13:19 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
honzab.moz: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor, back in August) 2012-04-27 21:18:37 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11282433&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-04-27 17:00:52 PDT for push df3acd833280
slave: talos-r3-fed64-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>
### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /tmp/tmp0Reeqt/runxpcshelltests_leaks.log

TEST-INFO | (xpcshell/head.js) | test 1 pending
WARNING: SSL handshake timed out: file /builds/slave/m-in-lnx64-dbg/build/security/manager/ssl/src/nsNSSIOLayer.cpp, line 2118

TEST-INFO | (xpcshell/head.js) | test 2 pending

TEST-INFO | (xpcshell/head.js) | test 2 finished

TEST-INFO | (xpcshell/head.js) | running event loop

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | [testOnStartRequest : 50] 200 == 200

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | [testOnStartRequest : 51] true == true

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | [testOnStopRequest : 62] true == true

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | [testOnStopRequest : 63] true == true

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_throw :: line 462
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: _do_check_eq :: line 556
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_eq :: line 577
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_true :: line 591
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js :: testOnStopRequest :: line 64

TEST-INFO | (xpcshell/head.js) | exiting test
WARNING: cannot post event if not initialized: file /builds/slave/m-in-lnx64-dbg/build/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 213
WARNING: cannot post event if not initialized: file /builds/slave/m-in-lnx64-dbg/build/netwerk/protocol/http/nsHttpConnectionMgr.cpp, line 213
WARNING: nsExceptionService ignoring thread destruction after shutdown: file /builds/slave/m-in-lnx64-dbg/build/xpcom/base/nsExceptionService.cpp, line 199
WARNING: OOPDeinit() without successful OOPInit(): file /builds/slave/m-in-lnx64-dbg/build/toolkit/crashreporter/nsExceptionHandler.cpp, line 1998
Comment 1 Treeherder Robot 2012-04-28 04:52:22 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=11290560&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-04-28 03:48:27
slave: talos-r3-fed64-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 2 Treeherder Robot 2012-04-28 05:41:39 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11288551&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-04-28 01:10:42
slave: talos-r3-fed64-021

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 3 Patrick McManus [:mcmanus] 2012-04-28 06:45:34 PDT
I'm presuming this is a failure of the new test, not of the tested code. Nick let me know if you feel otherwise.
Comment 4 Nicholas Hurley [:nwgh][:hurley] 2012-04-28 13:42:04 PDT
(In reply to Patrick McManus [:mcmanus] from comment #3)
> I'm presuming this is a failure of the new test, not of the tested code.
> Nick let me know if you feel otherwise.

I'll probably need to instrument the test a bit to see exactly why the failure is occurring. Somewhere along the line, we are getting a response on a connection that either the browser or the server (or both!) doesn't think is SPDY.

The first thing that popped into my mind was that perhaps this is the same issue causing the spdy indicator add-on to not show a page as spdy? (Some failure to set the x-firefox-spdy header, perhaps?) Was there ever a resolution on that? I can't find anything in bugzilla, or in email, so maybe I'm just making stuff up in a desperate attempt to not feel bad about causing an intermittent orange?

Patrick, do you remember anything like that when the spdy indicator add-on first hit, or am I really just making stuff up? I'll have more time to look into this Monday morning and instrument the test to see why, exactly, a connection is getting labeled as non-spdy in the test.
Comment 5 Patrick McManus [:mcmanus] 2012-04-28 17:43:18 PDT
i don't really know anything about the add-on.. I've used it but that's about it.
Comment 6 Treeherder Robot 2012-04-29 05:49:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11304601&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test xpcshell on 2012-04-29 04:05:17
slave: talos-r3-fed-017

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 7 Treeherder Robot 2012-04-29 15:39:11 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11311527&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-04-29 14:57:09
slave: talos-r3-fed64-018

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 8 Treeherder Robot 2012-04-29 15:56:20 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11311678&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-04-29 15:01:08
slave: talos-r3-fed64-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 9 Treeherder Robot 2012-04-29 20:15:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11306347&tree=Services-Central
Rev3 Fedora 12 services-central pgo test xpcshell on 2012-04-29 06:57:42
slave: talos-r3-fed-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 10 Treeherder Robot 2012-04-29 21:36:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11315046&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-04-29 20:41:01
slave: talos-r3-fed-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 11 Treeherder Robot 2012-04-30 04:59:20 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11321364&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-04-30 03:50:41
slave: talos-r3-fed-039

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 12 Treeherder Robot 2012-04-30 04:59:29 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11321284&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-04-30 03:50:41
slave: talos-r3-fed64-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 13 Treeherder Robot 2012-04-30 09:10:46 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11326136&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-04-30 08:14:54
slave: talos-r3-fed-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 14 Nicholas Hurley [:nwgh][:hurley] 2012-04-30 10:19:29 PDT
I'm running an instrumented version of the test locally in a loop to see if I can figure out which side thinks we're not using spdy. I saw the failure once this morning on my local machine, so I know I can reproduce it, unfortunately it was using the non-instrumented version of the patch when it failed :)
Comment 15 Treeherder Robot 2012-04-30 14:41:54 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=11336061&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-04-30 13:38:35
slave: talos-r3-fed64-042

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 16 Nicholas Hurley [:nwgh][:hurley] 2012-04-30 15:37:11 PDT
Alright, I was able to duplicate this (after a few hours running test_spdy.js in a loop), and the error is coming because we get an NS_ERROR_NOT_AVAILABLE when trying to get the x-firefox-spdy header off the response to make sure the connection is actually spdy. My best guess is for some reason is that we fail to negotiate spdy with the server, although whether that's a server issue or a client issue remains to be seen.

Patrick, what would be the best way to get deep debugging info from the client side to see why negotiating SPDY fails?
Comment 17 Treeherder Robot 2012-04-30 15:56:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11338894&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-04-30 15:01:54
slave: talos-r3-fed-072

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 18 Nicholas Hurley [:nwgh][:hurley] 2012-04-30 17:00:14 PDT
(In reply to Nick Hurley [:hurley] from comment #16) 
> Patrick, what would be the best way to get deep debugging info from the
> client side to see why negotiating SPDY fails?

I should note, I mean if there's anything other than http logging & packet capture I can do here (I'm already running with those enabled, which I should've done the first time around).
Comment 19 Treeherder Robot 2012-04-30 17:08:56 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11341317&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-04-30 16:26:46
slave: talos-r3-fed64-068

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 20 Treeherder Robot 2012-04-30 17:29:42 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11341824&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-04-30 16:42:15
slave: talos-r3-fed-042

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 21 Patrick McManus [:mcmanus] 2012-04-30 18:06:02 PDT
(In reply to Nick Hurley [:hurley] from comment #18)
> (In reply to Nick Hurley [:hurley] from comment #16) 
> > Patrick, what would be the best way to get deep debugging info from the
> > client side to see why negotiating SPDY fails?
> 
> I should note, I mean if there's anything other than http logging & packet
> capture I can do here (I'm already running with those enabled, which I
> should've done the first time around).

those are what I would start with. Any SSL or PSM logging would probably help too - but I don't know how to do that. honza or bsmith?
Comment 22 Nicholas Hurley [:nwgh][:hurley] 2012-05-01 12:30:49 PDT
OK, after another 20 hours, I've succeeded in reproducing again, this time with http logging and packet capture! The files are

http://people.mozilla.org/~hurley/spdy_test_failure_xpcshell.txt (this is the output of make check-one on the failed run)
http://people.mozilla.org/~hurley/spdy_test_failure.log (this is the http log from the failed run)
http://people.mozilla.org/~hurley/spdy_test_failure.pcap (this is the packet capture of the failure - it also contains packets from some successful runs, the failures are (obviously) at the end of the capture)

From a quick glance at the pcap, it looks like at some point firefox just decides to use SSLv3 instead of TLS, which means we can't use NPN to upgrade to SPDY. I don't know why it makes this decision (ssl/tls debugging is not my strong suit). Patrick, Josh said to hand this off to you for further investigation.
Comment 23 Patrick McManus [:mcmanus] 2012-05-01 13:23:32 PDT
nick - thanks for the data!

bsmith - I think I need some help.. I can take it a little farther than nick, but then I'm just guessing at some point..

as nick says for most of the time we tcp connect, offer up a tls v1 client hello with extension 13172 (npn) in it and get back a tls v1 server hello with the npn list of options. you can spot check that on "tcp.stream eq 10" in nick's pcap.

but in stream 697 (or packet 77934 if you prefer) we tcp connect and offer up a SSL 3.0 client hello with no NPN extension. The connection proceeds to use HTTP/1.1. 

the preceeding stream 696 (which thankfully is not overlapped) (packet 77920) starts a TLS handshake but the client sends a fin before it is complete. The whole thing happens in 8ms, so there wasn't a timeout that I can think of.. but closing a socket that we don't need is certainly the kind of thing the network stack does these days.

could that failed handshake in 696 (even though the failure was caused by the client) have caused some kind of tls intolerance trigger to downgrade stream 697? 798 is also at v3.

Given that intolerance can happen based on timeouts and is therefore racy, for the purposes of the spdy test it might make sense to just check the SSL version.. but if we've got some kind of behavior that is downgrading our ssl level that needs to be figured out.
Comment 24 Treeherder Robot 2012-05-01 13:57:33 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11366899&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-05-01 13:15:12
slave: talos-r3-fed-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 25 Treeherder Robot 2012-05-01 13:57:36 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11366899&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-05-01 13:15:12
slave: talos-r3-fed-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 26 Nicholas Hurley [:nwgh][:hurley] 2012-05-01 14:38:25 PDT
Created attachment 620066 [details] [diff] [review]
test instrumentation

Just for reference, here's the patch I used that instruments the test for (slightly) more info on which end is failing (this was in case, for example, my server-side spdy detection was flaky and that's what was causing the test to identify the connection as non-spdy, which is unfortunately not the case here)
Comment 27 Nicholas Hurley [:nwgh][:hurley] 2012-05-01 14:44:20 PDT
Created attachment 620069 [details]
script to run test until failure occurs

Also for reference (and in case anyone wants to try this at home), here's the script I used to run the test over and over again until it failed. Paths will need to be changed to match your setup. This script expects to be run with your cwd = the top-level of your mozilla-central checkout.
Comment 28 Treeherder Robot 2012-05-01 16:12:35 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11370002&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-01 15:14:00
slave: talos-r3-fed64-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 29 Treeherder Robot 2012-05-01 16:35:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11371133&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-01 15:43:11
slave: talos-r3-fed-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 30 Treeherder Robot 2012-05-02 02:15:15 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11374237&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-01 17:36:10
slave: talos-r3-fed-015

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 31 Treeherder Robot 2012-05-02 11:31:25 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11395149&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-02 10:55:29
slave: talos-r3-fed64-020

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 32 Treeherder Robot 2012-05-02 14:48:18 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11400482&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-02 13:58:11
slave: talos-r3-fed64-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 33 Treeherder Robot 2012-05-02 14:48:56 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11400482&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-02 13:58:11
slave: talos-r3-fed64-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 34 Treeherder Robot 2012-05-02 19:31:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11407312&tree=Profiling
Rev3 Fedora 12x64 profiling opt test xpcshell on 2012-05-02 17:21:28
slave: talos-r3-fed64-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 35 Treeherder Robot 2012-05-03 00:50:15 PDT
glandium
https://tbpl.mozilla.org/php/getParsedLog.php?id=11417436&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-02 23:58:59
slave: talos-r3-fed-033

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 36 Treeherder Robot 2012-05-03 07:48:05 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11428414&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-03 07:06:02
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 37 Treeherder Robot 2012-05-03 10:51:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11432675&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-03 09:57:18
slave: talos-r3-fed64-067

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 38 Treeherder Robot 2012-05-03 10:52:12 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11432675&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-03 09:57:18
slave: talos-r3-fed64-067

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 39 Treeherder Robot 2012-05-03 16:32:31 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11443591&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-03 15:33:54
slave: talos-r3-fed-011

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 40 Treeherder Robot 2012-05-03 18:43:25 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11447985&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-03 17:53:46
slave: talos-r3-fed64-004

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 41 Treeherder Robot 2012-05-04 02:03:50 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11444653&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test xpcshell on 2012-05-03 16:06:20
slave: talos-r3-fed64-024

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 42 Treeherder Robot 2012-05-04 03:35:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11460081&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-04 02:38:13
slave: talos-r3-fed-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 43 Treeherder Robot 2012-05-04 06:06:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11462643&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-04 04:42:11
slave: talos-r3-fed-017

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 44 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-04 09:46:41 PDT
First, are we sure that the end of the pcap corresponds to the XPCShell log that was posted?

In that log, the TLS intolerance timeout is definitely being hit:

WARNING: SSL handshake timed out: file /home/hurley/src/mozilla/m-c/security/manager/ssl/src/nsNSSIOLayer.cpp, line 1015

The code for calculating the timeout is:

  PRIntervalTime now = PR_IntervalNow();
  PRIntervalTime certVerificationTime =
      mCertVerificationEnded - mCertVerificationStarted;
  PRIntervalTime totalTime = now - mHandshakeStartTime;
  PRIntervalTime totalTimeExceptCertVerificationTime =
      totalTime - certVerificationTime;

Patrick is right that the handshake has only taken 8ms, not 25 SECONDS. Is it possible that PR_IntervalNow() isn't monotonically increasing, which could cause these calculations to be wrong?

HandshakeTimeout() is only called in nsSSLIOLayerPoll (the PSM implementation of the poll method). So, we cannot be detecting a handshake timeout after we've closed a socket, because that would mean that we're polling the socket after we've closed it, which is wrong. (But, even if we polled after we closed the socket, then the PSM nsNSSIOLayer would have been poppoed off the socket so nsSSLIOLayerPoll would never get called.)

Once we've made a successful TLS 1.0 connection to a server, we do not allow fallback to SSL 3.0 for that server for the rest of the browsing session. Perhaps there is a bug caused by the (fully intentional) race between the handshake and the certificate verification, but it seems unlikely. I will look at it more

In (tcp.stream eq 695) we close the connection sending a TLS alert first.

In (tcp.stream eq 696) we close the connection without sending a TLS alert.

The logic for determining whether we send a TLS alert is in ssl_SecureClose:

    if (ss->version >= SSL_LIBRARY_VERSION_3_0 	&& /* cond 1 */
	!(ss->shutdownHow & ssl_SHUTDOWN_SEND)	&& /* cond 2 */
    	ss->firstHsDone 			&& /* cond 3 */
	!ss->recvdCloseNotify                   && /* cond 4 */
	ss->ssl3.initialized) {                    /* cond 5 */

Conditions 1, 4, 5 are definitely true.

Is it possible that we have shutdown the socket for sending (Condition 2) before closing it?

If condition 3 isn't true, then that would indicate that the certificate verification might not have finished before we closed the connection. But, if certificate verification were still pending, then we would not hit the TLS intolerance timeout because there is an explicit check that ensures we never to the TLS intolerance fallback if cert verification is pending.

If there are more packet captures for this, I would love to see them, to see if we consistently have this "no sent alert" pattern when the test fails.
Comment 45 Honza Bambas (:mayhemer) 2012-05-04 10:01:48 PDT
(In reply to Brian Smith (:bsmith) from comment #44)
> Is
> it possible that PR_IntervalNow() isn't monotonically increasing, which
> could cause these calculations to be wrong?

I don't believe so.

> Is it possible that we have shutdown the socket for sending (Condition 2)
> before closing it?

We don't shutdown sockets at all (necko).  Just closing them.
Comment 46 Treeherder Robot 2012-05-04 10:12:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11470971&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-04 09:33:24
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 47 Treeherder Robot 2012-05-04 12:07:59 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11474520&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-04 11:23:29
slave: talos-r3-fed-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 48 Treeherder Robot 2012-05-04 12:08:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11474520&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-04 11:23:29
slave: talos-r3-fed-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 49 Patrick McManus [:mcmanus] 2012-05-04 16:41:17 PDT
(In reply to Honza Bambas (:mayhemer) from comment #45)
> (In reply to Brian Smith (:bsmith) from comment #44)

> > before closing it?
> 
> We don't shutdown sockets at all (necko).  Just closing them.


in the trace in question when we close the socket there is unread data queued in the kernel.. that generates the tcp rst. I'm wondering if there is some way that manifests in an error that gets interpreted as the intolerance.

(you would think that would be more of a problem for the peer - after we issue the close I wouldn't think we'd notice any io events, but its a possibility.)
Comment 50 Treeherder Robot 2012-05-04 16:53:47 PDT
masayuki%d-toybox.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11483456&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-04 16:07:06
slave: talos-r3-fed64-017

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 51 Treeherder Robot 2012-05-04 17:21:53 PDT
masayuki%d-toybox.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11484296&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-05-04 16:42:33
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 52 Treeherder Robot 2012-05-05 03:47:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11490209&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-04 23:39:09
slave: talos-r3-fed-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 53 Treeherder Robot 2012-05-05 05:29:34 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=11494046&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test xpcshell on 2012-05-05 03:56:56
slave: talos-r3-fed64-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 54 Treeherder Robot 2012-05-05 13:12:36 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11503058&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-05 12:16:11
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 55 Treeherder Robot 2012-05-06 06:46:45 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11509555&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-06 05:51:31
slave: talos-r3-fed-074

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 56 Treeherder Robot 2012-05-06 09:41:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11512116&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-06 08:40:17
slave: talos-r3-fed-021

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 57 Treeherder Robot 2012-05-06 11:56:12 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=11513415&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-06 10:59:54
slave: talos-r3-fed-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 58 Treeherder Robot 2012-05-06 14:16:33 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11514964&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-06 13:36:18
slave: talos-r3-fed-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 59 Treeherder Robot 2012-05-06 18:37:18 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11518434&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-06 17:58:22
slave: talos-r3-fed-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 60 Treeherder Robot 2012-05-06 19:20:45 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11519485&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-06 18:34:21
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 61 Treeherder Robot 2012-05-07 04:48:43 PDT
darktrojan
https://tbpl.mozilla.org/php/getParsedLog.php?id=11529332&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test xpcshell on 2012-05-07 04:01:23
slave: talos-r3-fed-009

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 62 Treeherder Robot 2012-05-07 08:27:31 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=11533262&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test xpcshell on 2012-05-07 06:54:22
slave: talos-r3-fed64-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 63 Nicholas Hurley [:nwgh][:hurley] 2012-05-07 10:03:39 PDT
(In reply to Brian Smith (:bsmith) from comment #44)
> First, are we sure that the end of the pcap corresponds to the XPCShell log
> that was posted?

Yes, there was no other traffic on localhost:4443 on the machine I ran this on, this was the most recent pcap available (I was cycling between 10 different files for posterity), and there would have been no xpcshell runs after the test failed.

> If there are more packet captures for this, I would love to see them, to see
> if we consistently have this "no sent alert" pattern when the test fails.

I will arrange for more pcaps, it just might take a while (given how intermittent this issue can be).
Comment 64 Patrick McManus [:mcmanus] 2012-05-07 10:07:26 PDT
(In reply to Brian Smith (:bsmith) from comment #44)

> WARNING: SSL handshake timed out: file
> /home/hurley/src/mozilla/m-c/security/manager/ssl/src/nsNSSIOLayer.cpp, line
> 1015
> 
[..]
> Patrick is right that the handshake has only taken 8ms, not 25 SECONDS. Is
> it possible that PR_IntervalNow() isn't monotonically increasing, which
> could cause these calculations to be wrong?

all the tbpl reports are on linux, and nick's repro is on linux. (and actually I think we might only be running the test on linux.) So let's look at linux pr_intervalnow() handling.. :)

a breakpoint on my desktop shows me: http://mxr.mozilla.org/mozilla-central/source/nsprpub/pr/src/misc/prinrval.c#77 which bears the comment:

 * This version of interval times is based on the time of day
 * capability offered by system. This isn't valid for two reasons:
 * 1) The time of day is neither linear nor montonically increasing
  * 2) The units here are milliseconds. That's not appropriate for our use.
 */

doh! And stepping through that you can see that it calls gettimeofday() directly.. a little googling on that and you'll easily see that its not guaranteed monotonic. That would be a pretty big problem.

Linux does provide a cheap monotonic time source - clock_gettiime(CLOCK_MONOTONIC).. perhaps we should be using that?
Comment 65 Nicholas Hurley [:nwgh][:hurley] 2012-05-07 10:20:49 PDT
(In reply to Patrick McManus [:mcmanus] from comment #64)
> (In reply to Brian Smith (:bsmith) from comment #44)
> 
> > WARNING: SSL handshake timed out: file
> > /home/hurley/src/mozilla/m-c/security/manager/ssl/src/nsNSSIOLayer.cpp, line
> > 1015
> > 
> [..]
> > Patrick is right that the handshake has only taken 8ms, not 25 SECONDS. Is
> > it possible that PR_IntervalNow() isn't monotonically increasing, which
> > could cause these calculations to be wrong?
> 
> all the tbpl reports are on linux, and nick's repro is on linux. (and
> actually I think we might only be running the test on linux.) So let's look
> at linux pr_intervalnow() handling.. :)

It's true that we're only running the test on linux right now, and linux is where the data above comes from, however, I've also reproduced this on my mac. This does appear to use the same gettimeofday implementation as linux (not surprising, given that they're both unix-ish). Not that this particularly adds any more info to the mix, but I wanted to make sure the whole picture (failures on multiple platforms) is known.
Comment 66 Treeherder Robot 2012-05-07 12:18:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11538546&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-07 11:08:42
slave: talos-r3-fed-024

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 67 Patrick McManus [:mcmanus] 2012-05-07 12:50:52 PDT
fwiw I have not been able to reproduce it - hundreds of thousands of test_spdy iterations and millions of iterations of a simpler c++ test that just tests the ordering of two pr_intervalnow() calls. but clock issues can be extremely hardware dependent.

if it is a problem with unix interval handling, that would also potentially bring doubt to a lot of different code paths on android.. so while its tempting to just try changing the handshaketimeout() methods to use mozilla::timestamp() (which does use clock_gettime) there is more work to do.

nick can you try this patch? (obviously not suitable for promotion to nspr as is) and see if it changes things for you? I'll also let tryserver at it for a long series of runs - the CI seems to produce it fairly often.

diff --git a/nsprpub/pr/src/Makefile.in b/nsprpub/pr/src/Makefile.in
--- a/nsprpub/pr/src/Makefile.in
+++ b/nsprpub/pr/src/Makefile.in
@@ -160,16 +160,17 @@ ifeq ($(OS_TARGET),Android)
 # Android has no libpthread.so in NDK
 OS_LIBS		= -ldl
 else
 OS_LIBS		= -lpthread -ldl
 endif
 else
 OS_LIBS		= -ldl
 endif
+OS_LIBS		+= -lrt
 endif
 
 ifeq ($(OS_ARCH),HP-UX)
 ifeq ($(USE_PTHREADS), 1)
 ifeq (,$(filter-out B.10.10 B.10.20,$(OS_RELEASE)))
 OS_LIBS 	= -ldce
 else
 OS_LIBS 	= -lpthread -lrt
diff --git a/nsprpub/pr/src/md/unix/unix.c b/nsprpub/pr/src/md/unix/unix.c
--- a/nsprpub/pr/src/md/unix/unix.c
+++ b/nsprpub/pr/src/md/unix/unix.c
@@ -3046,22 +3046,22 @@ PR_Now(void)
     LL_I2L(us, tv.tv_usec);
     LL_MUL(s, s, s2us);
     LL_ADD(s, s, us);
     return s;
 }
 
 PRIntervalTime _PR_UNIX_GetInterval()
 {
-    struct timeval time;
+    struct timespec time;
     PRIntervalTime ticks;
 
-    (void)GETTIMEOFDAY(&time);  /* fallicy of course */
+    clock_gettime(CLOCK_MONOTONIC, &time);
     ticks = (PRUint32)time.tv_sec * PR_MSEC_PER_SEC;  /* that's in milliseconds */
-    ticks += (PRUint32)time.tv_usec / PR_USEC_PER_MSEC;  /* so's that */
+    ticks += (PRUint32)time.tv_nsec / PR_NSEC_PER_MSEC;  /* so's that */
     return ticks;
 }  /* _PR_SUNOS_GetInterval */
 
 PRIntervalTime _PR_UNIX_TicksPerSecond()
 {
     return 1000;  /* this needs some work :) */
 }
Comment 68 Nicholas Hurley [:nwgh][:hurley] 2012-05-07 14:47:20 PDT
(In reply to Patrick McManus [:mcmanus] from comment #67)
> nick can you try this patch? (obviously not suitable for promotion to nspr
> as is) and see if it changes things for you? I'll also let tryserver at it
> for a long series of runs - the CI seems to produce it fairly often.

OK, I've got this running on my linux machine. I'll report back in a couple days (or sooner, if the problem recurs before then).
Comment 69 Treeherder Robot 2012-05-07 15:09:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11543779&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test xpcshell on 2012-05-07 14:27:27
slave: talos-r3-fed64-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 70 Treeherder Robot 2012-05-07 16:15:36 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=11540538&tree=Oak
Rev3 Fedora 12x64 oak debug test xpcshell on 2012-05-07 12:46:41
slave: talos-r3-fed64-068

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 71 Treeherder Robot 2012-05-07 21:04:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11554445&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-07 20:23:11
slave: talos-r3-fed-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 72 Patrick McManus [:mcmanus] 2012-05-08 05:35:16 PDT
Try server continues to have intermittent fails negotiating spdy with the patch from comment 67. so the root cause here is something other than the pr_interval using gettimeofday()

https://tbpl.mozilla.org/?tree=Try&rev=a92e6b55c585
Comment 73 Treeherder Robot 2012-05-08 10:51:29 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11574569&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-08 09:56:18
slave: talos-r3-fed64-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 74 Treeherder Robot 2012-05-08 13:31:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11578889&tree=Profiling
Rev3 Fedora 12 profiling opt test xpcshell on 2012-05-08 12:28:04
slave: talos-r3-fed-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 75 Patrick McManus [:mcmanus] 2012-05-08 13:38:42 PDT
I insturmented HandshakeTimeout() to print some stuff and had try reproduce the failure

    1.11  
    1.12 -  return totalTimeExceptCertVerificationTime > 
    1.13 +  bool rv = totalTimeExceptCertVerificationTime > 
    1.14        PR_SecondsToInterval(HANDSHAKE_TIMEOUT_SECONDS);
    1.15 +  fprintf(stderr,"handshaketimeout:: rv=%d time=%dms state=%d\n",
    1.16 +          rv, PR_IntervalToMilliseconds(totalTimeExceptCertVerificationTime),
    1.17 +          mCertVerificationState);
    1.18 +  return rv;

try::
handshaketimeout:: rv=0 time=0ms state=0
handshaketimeout:: rv=1 time=-3ms state=2
WARNING: SSL handshake timed out: file /builds/slave/try-lnx64-dbg/build/security/manager/ssl/src/nsNSSIOLayer.cpp, line 1019

(and then in another test handshaketimeout:: rv=1 time=-2ms state=2)

I had expected it to print an absurd elapsed time, indicating something was corrupted or maybe being compared to '0'.. but instead it prints -3ms (or -2ms). I'm kinda surprised that's not -1 if the issue is monotonicity.

I wonder about some kind of a rounding propogation problem in this snippet.. (printervaltime is essentially an unisgned number of milliseconds, taken from gtod which does usec, so they are rounded to form the now() value)

 PRIntervalTime now = PR_IntervalNow();
  PRIntervalTime certVerificationTime =
      mCertVerificationEnded - mCertVerificationStarted;
  PRIntervalTime totalTime = now - mHandshakeStartTime;
  PRIntervalTime totalTimeExceptCertVerificationTime =
      totalTime - certVerificationTime;

  bool rv = totalTimeExceptCertVerificationTime >
      PR_SecondsToInterval(HANDSHAKE_TIMEOUT_SECONDS);
Comment 76 Patrick McManus [:mcmanus] 2012-05-08 13:52:53 PDT
the negative time is also consistent with setHandshakeInProgress() being called after setcertverficationwaiting(), though I have nothing else to suggest that is happening.
Comment 77 Treeherder Robot 2012-05-08 15:01:06 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11582334&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-08 14:08:18
slave: talos-r3-fed64-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 78 Treeherder Robot 2012-05-08 17:21:05 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11586581&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-08 16:16:05
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 79 Patrick McManus [:mcmanus] 2012-05-08 19:12:28 PDT
(In reply to Patrick McManus [:mcmanus] from comment #76)
> the negative time is also consistent with setHandshakeInProgress() being
> called after setcertverficationwaiting(), though I have nothing else to
> suggest that is happening.

confirmed.

See annotated try failure: https://tbpl.mozilla.org/php/getParsedLog.php?id=11589533&tree=Try#error0

setting certverification started to 2F4DD401, handshake start is 0
setting handshake starttime to 2F4DD407
setting certverification ended to 2F4DD408, handshake start is 2F4DD407
handshaketimeout:: rv=1 time=-6ms state=2
WARNING: SSL handshake timed out: file /builds/slave/try-lnx64-dbg/build/security/manager/ssl/src/nsNSSIOLayer.cpp, line 1024

This is the patch with the printfs: https://hg.mozilla.org/try/rev/8bea3e6f1206

In this case SetHandshakeInProgress() was called 6ms after SetCertVerificationWaiting(), but that's the most extreme example I've seen.

I believe Brian says he knows how to fix the race condition here and offered to do so. Thanks!
Comment 80 Treeherder Robot 2012-05-09 02:02:05 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11598173&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test xpcshell on 2012-05-09 01:01:38
slave: talos-r3-fed-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 81 Treeherder Robot 2012-05-09 04:43:22 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11601326&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test xpcshell on 2012-05-09 03:43:17
slave: talos-r3-fed-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 82 Treeherder Robot 2012-05-09 05:52:26 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11601714&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test xpcshell on 2012-05-09 03:57:17
slave: talos-r3-fed64-016

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 83 Treeherder Robot 2012-05-09 08:25:03 PDT
froydnj
https://tbpl.mozilla.org/php/getParsedLog.php?id=11607427&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-09 07:42:12
slave: talos-r3-fed-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 84 Treeherder Robot 2012-05-09 08:25:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11607427&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-09 07:42:12
slave: talos-r3-fed-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 85 Treeherder Robot 2012-05-09 08:49:26 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11608117&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-09 07:58:56
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 86 Treeherder Robot 2012-05-09 08:49:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11608117&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-09 07:58:56
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 87 Treeherder Robot 2012-05-09 09:16:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11608704&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-09 08:23:17
slave: talos-r3-fed64-060

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 88 Treeherder Robot 2012-05-09 09:38:54 PDT
dkeeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=11588857&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-08 17:49:04
slave: talos-r3-fed-068

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 89 Treeherder Robot 2012-05-09 09:49:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11609894&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-09 09:00:13
slave: talos-r3-fed64-022

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 90 Treeherder Robot 2012-05-09 11:16:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11611556&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-09 10:07:04
slave: talos-r3-fed-024

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 91 Treeherder Robot 2012-05-09 11:51:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11613149&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-09 11:01:46
slave: talos-r3-fed-005

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 92 Treeherder Robot 2012-05-09 19:06:59 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11626675&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-09 18:20:09
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 93 Treeherder Robot 2012-05-09 21:19:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11628652&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-09 19:37:00
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 94 Treeherder Robot 2012-05-09 23:39:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11617741&tree=Profiling
Rev3 Fedora 12 profiling opt test xpcshell on 2012-05-09 13:47:26
slave: talos-r3-fed-076

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 95 Treeherder Robot 2012-05-10 00:02:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11634156&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-09 23:09:22
slave: talos-r3-fed-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 96 Treeherder Robot 2012-05-10 03:17:16 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=11637710&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-10 02:25:22
slave: talos-r3-fed-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 97 Treeherder Robot 2012-05-10 05:04:00 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=11637476&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test xpcshell on 2012-05-10 02:17:11
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 98 Treeherder Robot 2012-05-10 08:13:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11644372&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-10 07:19:42
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 99 Treeherder Robot 2012-05-10 12:16:19 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11650318&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test xpcshell on 2012-05-10 11:21:13
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 100 Treeherder Robot 2012-05-10 15:49:06 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=11657163&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-10 14:57:54
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 101 Treeherder Robot 2012-05-10 16:30:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11658412&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-10 15:38:34
slave: talos-r3-fed-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 102 Treeherder Robot 2012-05-10 16:53:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11659249&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-05-10 16:09:55
slave: talos-r3-fed64-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 103 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-10 18:14:55 PDT
https://tbpl.mozilla.org/?tree=Try&rev=2d5b7bbddbb0
Comment 104 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-10 18:54:53 PDT
Oops. Let's try again:

https://tbpl.mozilla.org/?tree=Try&rev=9f8aa02d059e
Comment 105 Treeherder Robot 2012-05-10 20:27:06 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11662940&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-10 18:26:19
slave: talos-r3-fed64-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 106 Treeherder Robot 2012-05-10 20:45:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11664074&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-10 18:52:46
slave: talos-r3-fed-076

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 107 Treeherder Robot 2012-05-10 20:48:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11664757&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-10 19:12:28
slave: talos-r3-fed-072

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 108 Treeherder Robot 2012-05-10 22:37:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11648989&tree=Ionmonkey
Rev3 Fedora 12 ionmonkey debug test xpcshell on 2012-05-10 10:40:53
slave: talos-r3-fed-040

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 109 Treeherder Robot 2012-05-11 01:53:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11670189&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test xpcshell on 2012-05-11 00:56:22
slave: talos-r3-fed64-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 110 Treeherder Robot 2012-05-11 03:12:10 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11671360&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-11 02:13:22
slave: talos-r3-fed-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 111 Treeherder Robot 2012-05-11 03:58:37 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11671733&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-11 02:46:22
slave: talos-r3-fed-076

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 112 Treeherder Robot 2012-05-11 06:38:18 PDT
ajuma
https://tbpl.mozilla.org/php/getParsedLog.php?id=11660221&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-10 16:40:05
slave: talos-r3-fed-020

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 113 Treeherder Robot 2012-05-11 07:30:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11676010&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test xpcshell on 2012-05-11 05:56:09
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 114 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-11 10:43:29 PDT
Created attachment 623210 [details] [diff] [review]
Do not do TLS intolerance handshake timeout after we know we've received the server hello.

The TLS intolerance timeout is needed for servers that do not respond *at all*
to our hello request; see the long comment in checkHandshake() in nsNSSIOLayer.cpp. 

Once we've received a server hello from the server,
there's no need to do the timeout, and it is better NOT to, because any
timeouts after we've received a response. By explicitly avoiding those wrong
timeouts, we avoid the need for the (incorrect) complicated comparisons of
the PRIntervalTimes I introduced, which caused this bug.
Comment 115 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-11 10:46:34 PDT
Here is the try build for just this test, with ~450 passing runs:
https://tbpl.mozilla.org/?tree=Try&rev=908620cfe336

Here is the full try run, just submitted:
https://tbpl.mozilla.org/?tree=Try&rev=6380b35ed74b
Comment 116 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-11 10:47:34 PDT
(In reply to Brian Smith (:bsmith) from comment #114)
> Created attachment 623210 [details] [diff] [review]
> Do not do TLS intolerance handshake timeout after we know we've received the
> server hello.
> 
> The TLS intolerance timeout is needed for servers that do not respond *at
> all*
> to our hello request; see the long comment in checkHandshake() in
> nsNSSIOLayer.cpp. 
> 
> Once we've received a server hello from the server,
> there's no need to do the timeout, and it is better NOT to, because any
> timeouts after we've received a response

... are false positives.
Comment 117 Treeherder Robot 2012-05-11 14:16:51 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11686068&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test xpcshell on 2012-05-11 13:09:30
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 118 Treeherder Robot 2012-05-13 00:28:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11706234&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-05-12 09:33:22
slave: talos-r3-fed64-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 119 Treeherder Robot 2012-05-13 19:27:12 PDT
karlt
https://tbpl.mozilla.org/php/getParsedLog.php?id=11719524&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-13 17:54:22
slave: talos-r3-fed64-037

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 120 Treeherder Robot 2012-05-14 00:18:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11719360&tree=Profiling
Rev3 Fedora 12x64 profiling opt test xpcshell on 2012-05-13 17:45:21
slave: talos-r3-fed64-036

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 121 Treeherder Robot 2012-05-14 08:29:29 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11727504&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-14 07:45:24
slave: talos-r3-fed64-018

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 122 Honza Bambas (:mayhemer) 2012-05-14 11:44:08 PDT
Comment on attachment 623210 [details] [diff] [review]
Do not do TLS intolerance handshake timeout after we know we've received the server hello.

Review of attachment 623210 [details] [diff] [review]:
-----------------------------------------------------------------

Brian, please add [diff] showfunc=true to your hgrc.

Dropping r because of the first comment.  Brian, please fix and retest this patch.

::: security/manager/ssl/src/nsNSSIOLayer.cpp
@@ +478,5 @@
>  #define HANDSHAKE_TIMEOUT_SECONDS 25
>  
>  bool nsNSSSocketInfo::HandshakeTimeout()
>  {
> +  if (!!mAllowTLSIntoleranceTimeout)

Rather just a singe '!' ?

According this change, it seems like some of your tests of this code were not done or could have misleading results...

@@ +498,3 @@
>    PRIntervalTime now = PR_IntervalNow();
> +  bool result = (now - mHandshakeStartTime) 
> +                      > PR_SecondsToInterval(HANDSHAKE_TIMEOUT_SECONDS);

You can do:

static const kHandshakeTimeout = PR_SecondsToInterval(HANDSHAKE_TIMEOUT_SECONDS);

and use that konst rather.  Time conversion may be expensive.

@@ -502,3 @@
>    PRIntervalTime now = PR_IntervalNow();
> -  PRIntervalTime certVerificationTime =
> -      mCertVerificationEnded - mCertVerificationStarted;

You can remove these two members now.
Comment 123 Treeherder Robot 2012-05-14 17:04:55 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11740730&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-05-14 16:23:16
slave: talos-r3-fed64-006

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 124 Treeherder Robot 2012-05-14 19:05:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11739252&tree=Profiling
Rev3 Fedora 12 profiling opt test xpcshell on 2012-05-14 15:35:42
slave: talos-r3-fed-075

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 125 Treeherder Robot 2012-05-14 19:07:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11734855&tree=Profiling
Rev3 Fedora 12 profiling opt test xpcshell on 2012-05-14 13:24:28
slave: talos-r3-fed-006

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 126 Treeherder Robot 2012-05-15 00:19:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11753217&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-14 23:37:40
slave: talos-r3-fed-021

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 127 Treeherder Robot 2012-05-15 05:05:44 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11758586&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-15 03:40:31
slave: talos-r3-fed-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 128 Treeherder Robot 2012-05-15 06:21:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11761267&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test xpcshell on 2012-05-15 05:18:22
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 129 Treeherder Robot 2012-05-15 07:21:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11763067&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-15 06:22:54
slave: talos-r3-fed-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 130 Treeherder Robot 2012-05-15 09:38:32 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11767041&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-15 08:39:42
slave: talos-r3-fed64-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 131 Treeherder Robot 2012-05-15 09:47:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11767008&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test xpcshell on 2012-05-15 08:48:49
slave: talos-r3-fed64-018

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 132 Treeherder Robot 2012-05-15 12:03:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11771761&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-15 11:20:35
slave: talos-r3-fed-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 133 Treeherder Robot 2012-05-15 14:40:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11773883&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test xpcshell on 2012-05-15 12:29:30
slave: talos-r3-fed-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 134 Treeherder Robot 2012-05-16 03:15:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11792904&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-16 02:16:39
slave: talos-r3-fed64-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 135 Treeherder Robot 2012-05-16 04:51:09 PDT
bbondy
https://tbpl.mozilla.org/php/getParsedLog.php?id=11789160&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-15 21:55:42
slave: talos-r3-fed-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 136 Treeherder Robot 2012-05-16 05:56:43 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11796923&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-16 04:57:45
slave: talos-r3-fed-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 137 Treeherder Robot 2012-05-16 05:56:46 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11796923&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-16 04:57:45
slave: talos-r3-fed-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 138 Treeherder Robot 2012-05-16 07:34:08 PDT
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=11796793&tree=Try
Rev3 Fedora 12x64 try opt test xpcshell on 2012-05-16 05:00:44
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 139 Treeherder Robot 2012-05-16 08:31:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11799576&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-16 06:41:08
slave: talos-r3-fed-027

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 140 Patrick McManus [:mcmanus] 2012-05-16 09:10:53 PDT
Comment on attachment 623210 [details] [diff] [review]
Do not do TLS intolerance handshake timeout after we know we've received the server hello.

I don't have anything to add beyond honza's comments other than PR_SecondsToInterval is (cross-platform) just a multiply so there is no perf concern there.. but const is always good :)
Comment 141 Treeherder Robot 2012-05-16 11:17:33 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=11802644&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test xpcshell on 2012-05-16 09:28:53
slave: talos-r3-fed64-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 142 Treeherder Robot 2012-05-16 11:50:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11791990&tree=Services-Central
Rev3 Fedora 12 services-central pgo test xpcshell on 2012-05-16 01:07:49
slave: talos-r3-fed-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 143 Treeherder Robot 2012-05-16 13:22:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11806921&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-16 12:33:51
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 144 Treeherder Robot 2012-05-16 14:38:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11807816&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-16 13:02:13
slave: talos-r3-fed-060

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 145 Treeherder Robot 2012-05-16 15:51:21 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11811589&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-05-16 15:06:48
slave: talos-r3-fed64-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 146 Treeherder Robot 2012-05-16 18:24:18 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11815943&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-16 17:39:51
slave: talos-r3-fed64-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 147 Treeherder Robot 2012-05-16 19:10:41 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11817113&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-16 18:25:38
slave: talos-r3-fed-020

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 148 Treeherder Robot 2012-05-16 21:27:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11818981&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-16 19:45:08
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 149 Treeherder Robot 2012-05-17 00:11:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11822633&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-16 23:28:55
slave: talos-r3-fed-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 150 Treeherder Robot 2012-05-17 02:14:50 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11823284&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-17 00:25:55
slave: talos-r3-fed64-011

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 151 Treeherder Robot 2012-05-17 05:26:11 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=11826370&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test xpcshell on 2012-05-17 04:09:30
slave: talos-r3-fed64-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 152 Treeherder Robot 2012-05-17 07:33:25 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11831550&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-17 06:44:03
slave: talos-r3-fed-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 153 Treeherder Robot 2012-05-17 09:31:01 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11834322&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-17 08:42:48
slave: talos-r3-fed-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 154 Treeherder Robot 2012-05-17 11:39:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11837255&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-17 10:38:53
slave: talos-r3-fed-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 155 Treeherder Robot 2012-05-17 18:08:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11848478&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-17 17:10:50
slave: talos-r3-fed-075

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 156 Treeherder Robot 2012-05-17 18:08:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11848621&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-17 17:26:30
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 157 Treeherder Robot 2012-05-17 21:39:01 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=11852781&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-17 20:28:22
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 158 Treeherder Robot 2012-05-17 22:37:11 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11843088&tree=Try
Rev3 Fedora 12 try opt test xpcshell on 2012-05-17 13:48:36
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 159 Treeherder Robot 2012-05-18 03:47:33 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11857760&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-18 02:35:04
slave: talos-r3-fed-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 160 Treeherder Robot 2012-05-18 06:04:10 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11861265&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-18 05:10:15
slave: talos-r3-fed64-026

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 161 Treeherder Robot 2012-05-18 07:29:07 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11857731&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2012-05-18 02:33:05
slave: talos-r3-fed-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 162 Treeherder Robot 2012-05-18 12:53:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11871432&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-18 11:59:33
slave: talos-r3-fed64-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 163 Treeherder Robot 2012-05-18 16:03:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11863958&tree=Services-Central
Rev3 Fedora 12 services-central pgo test xpcshell on 2012-05-18 06:56:45
slave: talos-r3-fed-040

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 164 Treeherder Robot 2012-05-19 07:57:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11884143&tree=Fx-Team
Rev3 Fedora 12 fx-team opt test xpcshell on 2012-05-18 22:39:54
slave: talos-r3-fed-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 165 Treeherder Robot 2012-05-19 08:02:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11889009&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test xpcshell on 2012-05-19 06:57:24
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 166 Treeherder Robot 2012-05-19 12:42:58 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11892532&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test xpcshell on 2012-05-19 11:55:47
slave: talos-r3-fed-004

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 167 Treeherder Robot 2012-05-20 01:58:32 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11893920&tree=Try
Rev3 Fedora 12 try opt test xpcshell on 2012-05-19 13:25:20
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 168 Treeherder Robot 2012-05-20 01:58:50 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11894046&tree=Try
Rev3 Fedora 12x64 try opt test xpcshell on 2012-05-19 13:32:14
slave: talos-r3-fed64-030

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 169 Treeherder Robot 2012-05-20 04:46:57 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11900291&tree=Try
Rev3 Fedora 12 try debug test xpcshell on 2012-05-20 03:42:00
slave: talos-r3-fed-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 170 Treeherder Robot 2012-05-20 10:05:33 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11900338&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test xpcshell on 2012-05-20 03:58:55
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 171 Treeherder Robot 2012-05-20 10:12:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11902540&tree=Fx-Team
Rev3 Fedora 12 fx-team pgo test xpcshell on 2012-05-20 06:57:34
slave: talos-r3-fed-028

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 172 Treeherder Robot 2012-05-20 18:00:57 PDT
birtles
https://tbpl.mozilla.org/php/getParsedLog.php?id=11907148&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-20 17:04:35
slave: talos-r3-fed-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 173 Treeherder Robot 2012-05-21 01:42:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11910619&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test xpcshell on 2012-05-21 00:55:28
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 174 Treeherder Robot 2012-05-21 07:59:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11917215&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-21 07:09:05
slave: talos-r3-fed64-039

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 175 Treeherder Robot 2012-05-21 07:59:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11917215&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-21 07:09:05
slave: talos-r3-fed64-039

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 176 Treeherder Robot 2012-05-21 22:11:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11938223&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-21 21:24:02
slave: talos-r3-fed-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 177 Treeherder Robot 2012-05-21 23:19:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11939623&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-21 22:29:26
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 178 Treeherder Robot 2012-05-22 02:28:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11940912&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-21 23:36:34
slave: talos-r3-fed-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 179 Treeherder Robot 2012-05-22 04:07:44 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11944789&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-22 03:17:45
slave: talos-r3-fed-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 180 Treeherder Robot 2012-05-22 04:10:51 PDT
fyan%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11944079&tree=Try
Rev3 Fedora 12x64 try opt test xpcshell on 2012-05-22 02:55:39
slave: talos-r3-fed64-030

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 181 Treeherder Robot 2012-05-22 06:14:50 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=11939675&tree=Oak
Rev3 Fedora 12x64 oak debug test xpcshell on 2012-05-21 22:24:22
slave: talos-r3-fed64-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 182 Treeherder Robot 2012-05-22 06:20:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11946924&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test xpcshell on 2012-05-22 05:03:58
slave: talos-r3-fed-073

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 183 Treeherder Robot 2012-05-22 09:11:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11951392&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-22 08:17:42
slave: talos-r3-fed-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 184 Treeherder Robot 2012-05-22 12:29:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11955385&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-22 11:09:35
slave: talos-r3-fed64-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 185 Treeherder Robot 2012-05-22 20:32:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11954354&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-22 10:28:12
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 186 Treeherder Robot 2012-05-22 20:33:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11959122&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test xpcshell on 2012-05-22 13:29:42
slave: talos-r3-fed64-043

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 187 Treeherder Robot 2012-05-22 22:22:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11974353&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-22 21:24:20
slave: talos-r3-fed-070

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 188 Treeherder Robot 2012-05-22 22:53:03 PDT
billm
https://tbpl.mozilla.org/php/getParsedLog.php?id=11973440&tree=Try
Rev3 Fedora 12x64 try opt test xpcshell on 2012-05-22 21:07:07
slave: talos-r3-fed64-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 189 Treeherder Robot 2012-05-23 04:34:58 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11983782&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-23 03:32:35
slave: talos-r3-fed-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 190 Treeherder Robot 2012-05-23 10:03:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11992712&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-23 09:00:31
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 191 Treeherder Robot 2012-05-23 10:09:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11992712&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-23 09:00:31
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 192 Treeherder Robot 2012-05-23 14:25:06 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=11999038&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test xpcshell on 2012-05-23 13:11:23
slave: talos-r3-fed64-005

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 193 Treeherder Robot 2012-05-23 19:27:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11999478&tree=Services-Central
Rev3 Fedora 12 services-central pgo test xpcshell on 2012-05-23 13:24:54
slave: talos-r3-fed-036

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 194 Treeherder Robot 2012-05-23 19:42:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12007538&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-23 17:57:17
slave: talos-r3-fed-026

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 195 Treeherder Robot 2012-05-23 21:27:36 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11996924&tree=Profiling
Rev3 Fedora 12 profiling opt test xpcshell on 2012-05-23 11:59:58
slave: talos-r3-fed-050

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 196 Treeherder Robot 2012-05-24 00:45:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12015892&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-23 22:12:39
slave: talos-r3-fed-033

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 197 Treeherder Robot 2012-05-24 00:45:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12016268&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-23 22:30:11
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 198 Treeherder Robot 2012-05-24 00:48:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12016164&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-23 22:29:54
slave: talos-r3-fed-037

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 199 Treeherder Robot 2012-05-24 02:20:09 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11993001&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-23 09:46:11
slave: talos-r3-fed64-043

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 200 Treeherder Robot 2012-05-24 02:20:17 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=11993233&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-23 09:46:11
slave: talos-r3-fed64-043

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 201 Treeherder Robot 2012-05-24 03:27:41 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12020519&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-24 02:28:32
slave: talos-r3-fed64-013

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 202 Treeherder Robot 2012-05-24 04:25:42 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12021562&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-24 03:21:47
slave: talos-r3-fed-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 203 Treeherder Robot 2012-05-24 04:25:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12021715&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-24 03:31:03
slave: talos-r3-fed-028

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 204 Treeherder Robot 2012-05-24 04:27:04 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12021777&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-24 03:30:59
slave: talos-r3-fed64-017

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 205 Treeherder Robot 2012-05-24 06:30:17 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12015593&tree=Oak
Rev3 Fedora 12 oak opt test xpcshell on 2012-05-23 22:10:30
slave: talos-r3-fed-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 206 Josh Aas 2012-05-24 06:50:54 PDT
Why have we been sitting on a patch for a common intermittent orange like this? What is the next step here?
Comment 207 Treeherder Robot 2012-05-24 07:12:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12026493&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test xpcshell on 2012-05-24 06:13:47
slave: talos-r3-fed64-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 208 Treeherder Robot 2012-05-24 11:42:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12034319&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-24 10:50:51
slave: talos-r3-fed-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 209 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-24 13:19:15 PDT
Created attachment 626931 [details] [diff] [review]
Do not do TLS intolerance handshake timeout after we know we've received the server hello [v2]

Here's the updated patch that fixes the typo and which address the other review comments.
Comment 210 Treeherder Robot 2012-05-24 15:44:41 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12041468&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-24 14:48:42
slave: talos-r3-fed-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 211 Treeherder Robot 2012-05-24 15:45:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12041468&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-24 14:48:42
slave: talos-r3-fed-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 212 Treeherder Robot 2012-05-24 17:38:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12041767&tree=Fx-Team
Rev3 Fedora 12x64 fx-team debug test xpcshell on 2012-05-24 15:00:25
slave: talos-r3-fed64-060

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 213 Treeherder Robot 2012-05-24 17:54:15 PDT
billm
https://tbpl.mozilla.org/php/getParsedLog.php?id=12042746&tree=Try
Rev3 Fedora 12x64 try debug test xpcshell on 2012-05-24 15:33:23
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 214 Treeherder Robot 2012-05-24 23:36:18 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12046615&tree=Try
Rev3 Fedora 12x64 try debug test xpcshell on 2012-05-24 17:43:02
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 215 Treeherder Robot 2012-05-25 01:42:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12057758&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-25 00:49:21
slave: talos-r3-fed-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 216 Treeherder Robot 2012-05-25 02:24:57 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=12058564&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test xpcshell on 2012-05-25 01:30:55
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 217 Treeherder Robot 2012-05-25 04:25:07 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12061328&tree=Firefox
Rev3 Fedora 12 mozilla-central debug test xpcshell on 2012-05-25 03:32:55
slave: talos-r3-fed-005

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 218 Treeherder Robot 2012-05-25 07:27:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12067171&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test xpcshell on 2012-05-25 06:45:54
slave: talos-r3-fed64-042

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 219 Honza Bambas (:mayhemer) 2012-05-25 08:12:40 PDT
Comment on attachment 626931 [details] [diff] [review]
Do not do TLS intolerance handshake timeout after we know we've received the server hello [v2]

Review of attachment 626931 [details] [diff] [review]:
-----------------------------------------------------------------

r=honzab

Thanks.

::: security/manager/ssl/src/nsNSSIOLayer.cpp
@@ +495,1 @@
>    }

static const PRIntervalTime handshakeTimeoutInterval = PR_SecondsToInterval(25) is called the first time this line gets executed.  It is not a static initializer.  Thus, you don't need your lazy init code, compiler does it for you automatically.
Comment 220 Treeherder Robot 2012-05-25 13:53:14 PDT
billm
https://tbpl.mozilla.org/php/getParsedLog.php?id=12078909&tree=Try
Rev3 Fedora 12x64 try debug test xpcshell on 2012-05-25 12:55:05
slave: talos-r3-fed64-033

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 221 Treeherder Robot 2012-05-25 15:26:35 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12081883&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test xpcshell on 2012-05-25 14:31:47
slave: talos-r3-fed-017

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 222 Treeherder Robot 2012-05-25 15:35:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12082157&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test xpcshell on 2012-05-25 14:49:42
slave: talos-r3-fed-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 223 Treeherder Robot 2012-05-26 05:29:14 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12094865&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test xpcshell on 2012-05-26 04:45:32
slave: talos-r3-fed64-004

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 224 Treeherder Robot 2012-05-26 06:18:29 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12095736&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2012-05-26 05:07:49
slave: talos-r3-fed-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 225 Treeherder Robot 2012-05-27 20:03:27 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12120068&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-27 19:13:49
slave: talos-r3-fed64-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 226 Treeherder Robot 2012-05-27 20:47:12 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12120767&tree=Firefox
Rev3 Fedora 12x64 mozilla-central debug test xpcshell on 2012-05-27 19:59:01
slave: talos-r3-fed64-009

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 227 Treeherder Robot 2012-05-27 21:55:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12122046&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2012-05-27 21:05:37
slave: talos-r3-fed64-049

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
Comment 228 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-27 22:05:16 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/1d09d60b4bc1
Comment 229 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-05-27 22:06:36 PDT
(In reply to Honza Bambas (:mayhemer) from comment #219)
> static const PRIntervalTime handshakeTimeoutInterval =
> PR_SecondsToInterval(25) is called the first time this line gets executed. 
> It is not a static initializer.  Thus, you don't need your lazy init code,
> compiler does it for you automatically.

I fixed this before I pushed:
https://hg.mozilla.org/integration/mozilla-inbound/diff/1d09d60b4bc1/security/manager/ssl/src/nsNSSIOLayer.cpp#l1.113
Comment 230 Ed Morley [:emorley] 2012-05-28 09:41:52 PDT
https://hg.mozilla.org/mozilla-central/rev/1d09d60b4bc1
Comment 231 Treeherder Robot 2013-02-20 15:55:53 PST
seth
https://tbpl.mozilla.org/php/getParsedLog.php?id=19926864&tree=Try
Ubuntu 12.04 try opt test xpcshell on 2013-02-20 14:35:38
slave: tst-linux32-ec2-334

14:50:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_spdy.js | test failed (with xpcshell return code: 0), see following log:
14:50:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_spdy.js | Channel should have a success code! (2152398861) - See following stack:
14:50:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/netwerk/test/unit/test_spdy.js | false == true - See following stack:
14:57:51    ERROR - Return code: 1

Note You need to log in before you can comment on or make changes to this bug.